Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058741 - Specifying automatic windows in tmux backend creates more than one tmux session
Summary: Specifying automatic windows in tmux backend creates more than one tmux session
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: byobu
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 13:13 UTC by Ankur Sinha (FranciscoD)
Modified: 2015-05-29 10:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-29 10:47:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1058747 None None None Never
Launchpad 1273686 None None None Never

Internal Links: 1058747

Description Ankur Sinha (FranciscoD) 2014-01-28 13:13:18 UTC
Description of problem:
I've been trying to specify some windows on startup with the tmux backend. For some reason, when I run byobu, *two* tmux sessions are created instead of 1. The session that opens up does not have the windows specified. It is a completely new session with a blank window.

Version-Release number of selected component (if applicable):
byobu-5.69-2.fc20.noarch

How reproducible:
Always

Steps to Reproduce:
1.Select tmux backend in byobu
2.Create a simple ~/.byobu/.tmux.conf file like this:

[asinha@ankur-laptop ~]$ cat .byobu/.tmux.conf
new-window -ad -n "ncmpcpp"
new-window -ad -n "irssi"
[asinha@ankur-laptop ~]$ 

3. run byobu

Actual results:
One session with the two specified windows should be created

Expected results:
Two sessions are created:

[asinha@ankur-laptop ~]$ tmux ls
0: 4 windows (created Tue Jan 28 23:59:18 2014) [80x23]
1: 1 windows (created Tue Jan 28 23:59:18 2014) [168x34] (attached)
[asinha@ankur-laptop ~]$ 

The second one is the one that I'm given by byobu as it starts. The first has the two windows, *twice*. I'm filing a separate bug for the duplicate windows issue.

Additional info:
NA

Comment 1 Ankur Sinha (FranciscoD) 2014-01-28 13:34:25 UTC
This could be a tmux issue. I have to use `tmux at` with this conf file to get it to only start one session:

new -d -s default
new-window -d -n "ncmpcpp" -t 0 -k
new-window -d -n "irssi" -t 1

Comment 2 Ankur Sinha (FranciscoD) 2014-01-28 13:45:15 UTC
Similarly, if I use `byobu at`, I get one session.

Comment 3 Jan Klepek 2014-02-25 18:25:16 UTC
I'm able to reproduce, waiting for upstream decision/fix

Comment 4 Fedora End Of Life 2015-05-29 10:43:00 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Jan Klepek 2015-05-29 10:47:13 UTC
fixed/released as part of some other bug


Note You need to log in before you can comment on or make changes to this bug.